Skip to main content
GET
Get Custom Event Schema

Authorizations

X-Management-Id
string
header
required
X-Management-Token
string
header
required

Path Parameters

projectId
string
required

Provide the unique identifier of the project.

Example:

"proj_TrlkLiH4"

customEventSchemaId
string
required

Provide the unique identifier of the custom event schema.

Example:

"ms_f1r5Tcu5T0m3v3nT5ch3ma"

Response

Returns the custom event schema.

Response body schema for GET /management/v1/projects/{projectId}/custom-event-schema/{customEventSchemaId}.

id
string
required

Unique identifier of the custom event schema.

Example:

"ms_oA8CawM07Q8i05Cx62U6euTK"

name
string
required

User-defined name of the custom event. This is also shown in Project Settings > Event Schema in the Voucherify Dashboard.

schema
object
required

Object containing custom event schema and its custom attributes (metadata).

created_at
string<date-time>
required

Timestamp representing the date and time when the custom event schema was created. The value is shown in the ISO 8601 format.

Example:

"2024-03-27T08:00:09.472Z"

object
enum<string>
default:custom-event-schema
required

The type of the object represented by JSON.

Available options:
custom-event-schema
Example:

"custom-event-schema"

updated_at
string<date-time>

Timestamp representing the date and time when the custom event schema was updated. The value is shown in the ISO 8601 format.

Example:

"2024-03-27T08:00:09.472Z"

Last modified on June 9, 2026